org.deidentifier.arx.gui.worker

## Class WorkerLoad

- java.lang.Object
- - org.deidentifier.arx.gui.worker.Worker<Model>
  - - org.deidentifier.arx.gui.worker.WorkerLoad

All Implemented Interfaces:
  org.eclipse.jface.operation.IRunnableWithProgress

    public class WorkerLoad
    extends Worker<Model>

This worker loads a project file from disk.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`WorkerLoad(java.lang.String path, Controller controller)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run(org.eclipse.core.runtime.IProgressMonitor arg0)`

### Methods inherited from class org.deidentifier.arx.gui.worker.Worker

`getError, getResult, setError`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WorkerLoad

    public WorkerLoad(java.lang.String path,
                      Controller controller)
               throws java.io.IOException

Constructor.

Parameters:
  `path` -
  `controller` -
Throws:
  `java.io.IOException`

### Method Detail

#### run

    public void run(org.eclipse.core.runtime.IProgressMonitor arg0)
             throws java.lang.reflect.InvocationTargetException,
                    java.lang.InterruptedException

Throws:
  `java.lang.reflect.InvocationTargetException`
  `java.lang.InterruptedException`